import { Mission } from "./Mission";
import { MonsterDead } from "../../Interface/MissionInterface";
import { Monster } from "../Role/Monster";
import { Stage } from "../Stage";
import { _decorator } from "cc";
const { ccclass } = _decorator;

@ccclass("KillMonsterCountMission")
export default class KillMonsterCountMission extends Mission implements MonsterDead {

	public init(jsonTable: any): void {
		super.init(jsonTable);
	}

	monsterDead(monster: Monster, stage: Stage) {
		this.value++;
	}
}